Files
Text and files stored in the account.
Store a file
https://api.drometra.com/v1/objectsRequires the access token of a person in your company.
Headers
- x-tenant-idmandatorystring · uuid
- Your company's identifier. The server checks that you are still an active member of it.
- idempotency-keymandatorystring · uuid
- A new UUID per operation. If you repeat the request with the same key, the change is not applied twice.
Body
- titlemandatorystring
- textmandatorystring
Response · 202
- idstring · uuidalways
- tenantIdstring · uuidalways
- ownerIdstring · uuidalways
- titlestringalways
- stateenum: quarantined | ready | rejected | deletedalways
- sha256stringalways
- bytesintegeralways
- createdAtstring · date-timealways
It can respond with error 400, 401, 403, 404, 409, 410, 413, 415, 422, 429, 503. The error body is explained in Concepts.
curl -X POST "https://api.drometra.com/v1/objects" \
-H "Authorization: Bearer $DROMETRA _ TOKEN"\
-H "x-tenant-id: $DROMETRA_TENANT" \
-H "idempotency-key: $(uuidgen)" \
-H "Content-Type: application/json" \ -d '{
"title": "…",
"text": "…"
}'{
"id": "0b6f8c2e-4a1d-4e5b-9c3f-2d7e8a9b1c4d",
"tenantId": "0b6f8c2e-4a1d-4e5b-9c3f-2d7e8a9b1c4d",
"ownerId": "0b6f8c2e-4a1d-4e5b-9c3f-2d7e8a9b1c4d",
"title": "…",
"state": "quarantined",
"sha256": "…",
"bytes": 32768,
"createdAt": "2026-10-21T14:02:31Z"
}List files
https://api.drometra.com/v1/objectsRequires the access token of a person in your company.
Headers
- x-tenant-idmandatorystring · uuid
- Your company's identifier. The server checks that you are still an active member of it.
Reference parameters
- afterstring · uuid
- limitinteger
Response · 200
- idstring · uuidalways
- tenantIdstring · uuidalways
- ownerIdstring · uuidalways
- titlestringalways
- stateenum: quarantined | ready | rejected | deletedalways
- sha256stringalways
- bytesintegeralways
- createdAtstring · date-timealways
It can respond with error 400, 401, 403, 404, 409, 410, 413, 415, 422, 429, 503. The error body is explained in Concepts.
curl -X GET "https://api.drometra.com/v1/objects" \
-H "Authorization: Bearer $DROMETRA _ TOKEN"\
-H "x-tenant-id: $DROMETRA_TENANT" \
-H "Accept: application / json"[
{
"id": "0b6f8c2e-4a1d-4e5b-9c3f-2d7e8a9b1c4d",
"tenantId": "0b6f8c2e-4a1d-4e5b-9c3f-2d7e8a9b1c4d",
"ownerId": "0b6f8c2e-4a1d-4e5b-9c3f-2d7e8a9b1c4d",
"title": "…",
"state": "quarantined",
"sha256": "…",
"bytes": 32768,
"createdAt": "2026-10-21T14:02:31Z"
}
]Get a file
https://api.drometra.com/v1/objects/{id}Requires the access token of a person in your company.
Headers
- x-tenant-idmandatorystring · uuid
- Your company's identifier. The server checks that you are still an active member of it.
Road parameters
- idmandatorystring · uuid
- e. g. 0b6f8c2e-4a1d-4e5b-9c3f-2d7e8a9b1c4d
Response · 200
- idstring · uuidalways
- tenantIdstring · uuidalways
- ownerIdstring · uuidalways
- titlestringalways
- stateenum: quarantined | ready | rejected | deletedalways
- sha256stringalways
- bytesintegeralways
- createdAtstring · date-timealways
It can respond with error 400, 401, 403, 404, 409, 410, 413, 415, 422, 429, 503. The error body is explained in Concepts.
curl -X GET "https://api.drometra.com/v1/objects/0b6f8c2e-4a1d-4e5b-9c3f-2d7e8a9b1c4d" \
-H "Authorization: Bearer $DROMETRA _ TOKEN"\
-H "x-tenant-id: $DROMETRA_TENANT" \
-H "Accept: application / json"{
"id": "0b6f8c2e-4a1d-4e5b-9c3f-2d7e8a9b1c4d",
"tenantId": "0b6f8c2e-4a1d-4e5b-9c3f-2d7e8a9b1c4d",
"ownerId": "0b6f8c2e-4a1d-4e5b-9c3f-2d7e8a9b1c4d",
"title": "…",
"state": "quarantined",
"sha256": "…",
"bytes": 32768,
"createdAt": "2026-10-21T14:02:31Z"
}Delete a file
https://api.drometra.com/v1/objects/{id}Requires the access token of a person in your company.
Headers
- x-tenant-idmandatorystring · uuid
- Your company's identifier. The server checks that you are still an active member of it.
Road parameters
- idmandatorystring · uuid
- e. g. 0b6f8c2e-4a1d-4e5b-9c3f-2d7e8a9b1c4d
It can respond with error 400, 401, 403, 404, 409, 410, 413, 415, 422, 429, 503. The error body is explained in Concepts.
curl -X DELETE "https://api.drometra.com/v1/objects/0b6f8c2e-4a1d-4e5b-9c3f-2d7e8a9b1c4d" \
-H "Authorization: Bearer $DROMETRA _ TOKEN"\
-H "x-tenant-id: $DROMETRA_TENANT" \
-H "Accept: application / json"(sin cuerpo)Download a file's content
https://api.drometra.com/v1/objects/{id}/contentRequires the access token of a person in your company.
Headers
- x-tenant-idmandatorystring · uuid
- Your company's identifier. The server checks that you are still an active member of it.
Road parameters
- idmandatorystring · uuid
- e. g. 0b6f8c2e-4a1d-4e5b-9c3f-2d7e8a9b1c4d
It can respond with error 400, 401, 403, 404, 409, 410, 413, 415, 422, 429, 503. The error body is explained in Concepts.
curl -X GET "https://api.drometra.com/v1/objects/0b6f8c2e-4a1d-4e5b-9c3f-2d7e8a9b1c4d/content" \
-H "Authorization: Bearer $DROMETRA _ TOKEN"\
-H "x-tenant-id: $DROMETRA_TENANT" \
-H "Accept: application / json"(text/plain)